=== modified file 'database/replication/helpers.py'
--- database/replication/helpers.py	2011-11-22 11:47:54 +0000
+++ database/replication/helpers.py	2011-12-21 19:44:48 +0000
@@ -21,7 +21,7 @@
 from canonical.database.postgresql import (
     fqn, all_tables_in_schema, all_sequences_in_schema, ConnectionString
     )
-from canonical.launchpad.scripts.logger import log, DEBUG2
+from lp.services.scripts.logger import log, DEBUG2
 
 
 # The Slony-I clustername we use with Launchpad. Hardcoded because there

=== modified file 'database/schema/pending/new-person-columns.py'
--- database/schema/pending/new-person-columns.py	2011-09-06 05:00:26 +0000
+++ database/schema/pending/new-person-columns.py	2011-12-21 19:44:48 +0000
@@ -14,7 +14,7 @@
 
 from canonical.database.sqlbase import connect, ISOLATION_LEVEL_AUTOCOMMIT
 from canonical.launchpad.scripts import db_options
-from canonical.launchpad.scripts.logger import log, logger_options
+from lp.services.scripts.logger import log, logger_options
 
 
 def update_until_done(con, table, query, vacuum_every=100):

=== modified file 'database/schema/pending/prune-nonce.py'
--- database/schema/pending/prune-nonce.py	2011-09-20 10:57:34 +0000
+++ database/schema/pending/prune-nonce.py	2011-12-21 19:44:48 +0000
@@ -17,7 +17,7 @@
     ISOLATION_LEVEL_AUTOCOMMIT,
     )
 from canonical.launchpad.scripts import db_options
-from canonical.launchpad.scripts.logger import (
+from lp.services.scripts.logger import (
     log,
     logger_options,
     )

=== modified file 'lib/canonical/launchpad/scripts/__init__.py'
--- lib/canonical/launchpad/scripts/__init__.py	2011-12-19 23:38:16 +0000
+++ lib/canonical/launchpad/scripts/__init__.py	2011-12-21 19:44:48 +0000
@@ -29,14 +29,14 @@
 from canonical.config import config
 from canonical.database.postgresql import ConnectionString
 # these are intentional re-exports, apparently, used by *many* files.
-from canonical.launchpad.scripts.logger import (
+from lp.services.scripts.logger import (
     dummy_logger_options,
     log,
     logger,
     logger_options,
     )
 # Intentional re-export, following along the lines of the logger module.
-from canonical.launchpad.scripts.loghandlers import WatchedFileHandler
+from lp.services.scripts.loghandlers import WatchedFileHandler
 from canonical.launchpad.webapp.authorization import (
     LaunchpadPermissiveSecurityPolicy,
     LaunchpadSecurityPolicy,

=== removed directory 'lib/canonical/launchpad/scripts/ftests'
=== removed file 'lib/canonical/launchpad/scripts/ftests/__init__.py'
=== removed directory 'lib/canonical/launchpad/scripts/tests'
=== removed file 'lib/canonical/launchpad/scripts/tests/__init__.py'
=== modified file 'lib/lp/bugs/doc/externalbugtracker-comment-imports.txt'
--- lib/lp/bugs/doc/externalbugtracker-comment-imports.txt	2011-08-16 15:26:30 +0000
+++ lib/lp/bugs/doc/externalbugtracker-comment-imports.txt	2011-12-21 19:44:48 +0000
@@ -84,7 +84,7 @@
 comment-importing ExternalBugTracker instance will result in the three
 comments in the comment_dict being imported into Launchpad.
 
-    >>> from canonical.launchpad.scripts.logger import log
+    >>> from lp.services.scripts.logger import log
     >>> from lp.bugs.scripts.checkwatches.core import CheckwatchesMaster
     >>> from lp.bugs.scripts.checkwatches.tests.test_bugwatchupdater import (
     ...     make_bug_watch_updater)

=== modified file 'lib/lp/bugs/doc/externalbugtracker-comment-pushing.txt'
--- lib/lp/bugs/doc/externalbugtracker-comment-pushing.txt	2011-05-13 16:50:50 +0000
+++ lib/lp/bugs/doc/externalbugtracker-comment-pushing.txt	2011-12-21 19:44:48 +0000
@@ -98,7 +98,7 @@
 each Launchpad comment that needs to be pushed to the remote bug
 tracker.
 
-    >>> from canonical.launchpad.scripts.logger import log
+    >>> from lp.services.scripts.logger import log
     >>> from lp.bugs.scripts.checkwatches.core import CheckwatchesMaster
     >>> from lp.bugs.scripts.checkwatches.tests.test_bugwatchupdater import (
     ...     make_bug_watch_updater)

=== modified file 'lib/lp/bugs/scripts/bugnotification.py'
--- lib/lp/bugs/scripts/bugnotification.py	2011-12-19 23:38:16 +0000
+++ lib/lp/bugs/scripts/bugnotification.py	2011-12-21 19:44:48 +0000
@@ -21,7 +21,7 @@
 from zope.component import getUtility
 
 from canonical.launchpad.helpers import get_email_template
-from canonical.launchpad.scripts.logger import log
+from lp.services.scripts.logger import log
 from canonical.launchpad.webapp import canonical_url
 from lp.bugs.enum import BugNotificationLevel
 from lp.bugs.interfaces.bugnotification import IBugNotificationSet

=== modified file 'lib/lp/bugs/scripts/bzremotecomponentfinder.py'
--- lib/lp/bugs/scripts/bzremotecomponentfinder.py	2011-12-21 14:58:31 +0000
+++ lib/lp/bugs/scripts/bzremotecomponentfinder.py	2011-12-21 19:44:48 +0000
@@ -19,7 +19,7 @@
 from zope.component import getUtility
 
 from lp.services.database.lpstorm import IStore
-from canonical.launchpad.scripts.logger import log as default_log
+from lp.services.scripts.logger import log as default_log
 from lp.bugs.interfaces.bugtracker import (
     BugTrackerType,
     IBugTrackerSet,

=== modified file 'lib/lp/bugs/scripts/checkwatches/core.py'
--- lib/lp/bugs/scripts/checkwatches/core.py	2011-05-27 21:12:25 +0000
+++ lib/lp/bugs/scripts/checkwatches/core.py	2011-12-21 19:44:48 +0000
@@ -38,7 +38,7 @@
 from zope.component import getUtility
 
 from canonical.database.sqlbase import flush_database_updates
-from canonical.launchpad.scripts.logger import log as default_log
+from lp.services.scripts.logger import log as default_log
 from lp.app.interfaces.launchpad import ILaunchpadCelebrities
 from lp.bugs import externalbugtracker
 from lp.bugs.externalbugtracker import (

=== modified file 'lib/lp/bugs/scripts/importdebianbugs.py'
--- lib/lp/bugs/scripts/importdebianbugs.py	2011-08-01 05:25:59 +0000
+++ lib/lp/bugs/scripts/importdebianbugs.py	2011-12-21 19:44:48 +0000
@@ -8,7 +8,7 @@
 import transaction
 from zope.component import getUtility
 
-from canonical.launchpad.scripts.logger import log
+from lp.services.scripts.logger import log
 from lp.app.interfaces.launchpad import ILaunchpadCelebrities
 from lp.bugs.externalbugtracker import get_external_bugtracker
 from lp.bugs.interfaces.bugtask import IBugTaskSet

=== modified file 'lib/lp/bugs/scripts/sfremoteproductfinder.py'
--- lib/lp/bugs/scripts/sfremoteproductfinder.py	2011-12-19 14:54:37 +0000
+++ lib/lp/bugs/scripts/sfremoteproductfinder.py	2011-12-21 19:44:48 +0000
@@ -17,7 +17,7 @@
 from BeautifulSoup import BeautifulSoup
 from zope.component import getUtility
 
-from canonical.launchpad.scripts.logger import log as default_log
+from lp.services.scripts.logger import log as default_log
 from canonical.launchpad.webapp import (
     urlappend,
     urlsplit,

=== modified file 'lib/lp/hardwaredb/tests/test_hwdb_submission_validation.py'
--- lib/lp/hardwaredb/tests/test_hwdb_submission_validation.py	2011-12-19 13:55:28 +0000
+++ lib/lp/hardwaredb/tests/test_hwdb_submission_validation.py	2011-12-21 19:44:48 +0000
@@ -11,7 +11,7 @@
 from zope.testing.loghandler import Handler
 
 from canonical.config import config
-from canonical.launchpad.scripts.logger import OopsHandler
+from lp.services.scripts.logger import OopsHandler
 from canonical.testing.layers import BaseLayer
 from lp.hardwaredb.scripts.hwdbsubmissions import SubmissionParser
 from lp.testing import TestCase

=== modified file 'lib/lp/scripts/helpers.py'
--- lib/lp/scripts/helpers.py	2011-05-11 14:01:30 +0000
+++ lib/lp/scripts/helpers.py	2011-12-21 19:44:48 +0000
@@ -17,7 +17,7 @@
 
 import transaction
 
-from canonical.launchpad.scripts.logger import logger_options
+from lp.services.scripts.logger import logger_options
 
 
 def _check_datetime(option, opt, value):

=== modified file 'lib/lp/scripts/utilities/pageperformancereport.py'
--- lib/lp/scripts/utilities/pageperformancereport.py	2011-08-10 10:14:52 +0000
+++ lib/lp/scripts/utilities/pageperformancereport.py	2011-12-21 19:44:48 +0000
@@ -26,7 +26,7 @@
 import zc.zservertracelog.tracereport
 
 from canonical.config import config
-from canonical.launchpad.scripts.logger import log
+from lp.services.scripts.logger import log
 from lp.scripts.helpers import LPOptionParser
 
 

=== modified file 'lib/lp/services/scripts/base.py'
--- lib/lp/services/scripts/base.py	2011-09-28 11:31:49 +0000
+++ lib/lp/services/scripts/base.py	2011-12-21 19:44:48 +0000
@@ -39,7 +39,7 @@
     )
 from canonical.database.postgresql import ConnectionString
 from canonical.launchpad import scripts
-from canonical.launchpad.scripts.logger import OopsHandler
+from lp.services.scripts.logger import OopsHandler
 from canonical.launchpad.webapp.errorlog import globalErrorUtility
 from canonical.launchpad.webapp.interaction import (
     ANONYMOUS,

=== renamed file 'lib/canonical/launchpad/scripts/logger.py' => 'lib/lp/services/scripts/logger.py'
=== renamed file 'lib/canonical/launchpad/scripts/loghandlers.py' => 'lib/lp/services/scripts/loghandlers.py'
=== renamed file 'lib/canonical/launchpad/scripts/ftests/librarianformatter.txt' => 'lib/lp/services/scripts/tests/librarianformatter.txt'
--- lib/canonical/launchpad/scripts/ftests/librarianformatter.txt	2011-06-30 11:28:59 +0000
+++ lib/lp/services/scripts/tests/librarianformatter.txt	2011-12-21 19:44:48 +0000
@@ -2,7 +2,7 @@
 The LibrarianFormatter works just like a normal logger.Formatter if there
 is no Librarian available or active
 
->>> from canonical.launchpad.scripts.logger import LibrarianFormatter
+>>> from lp.services.scripts.logger import LibrarianFormatter
 
 This is a helper to quickly construct a Logger instance with a particular
 formatter. Each call generates a unique Logger.

=== renamed file 'lib/canonical/launchpad/scripts/tests/librarianformatter_noca.txt' => 'lib/lp/services/scripts/tests/librarianformatter_noca.txt'
--- lib/canonical/launchpad/scripts/tests/librarianformatter_noca.txt	2010-01-14 02:35:30 +0000
+++ lib/lp/services/scripts/tests/librarianformatter_noca.txt	2011-12-21 19:44:48 +0000
@@ -5,7 +5,7 @@
 The LibrarianFormatter works just like a normal logger.Formatter if there
 is no Librarian available or active
 
->>> from canonical.launchpad.scripts.logger import LibrarianFormatter
+>>> from lp.services.scripts.logger import LibrarianFormatter
 
 This is a helper to quickly construct a Logger instance with a particular
 formatter. Each call generates a unique Logger.

=== renamed file 'lib/canonical/launchpad/scripts/tests/loglevels.py' => 'lib/lp/services/scripts/tests/loglevels.py'
--- lib/canonical/launchpad/scripts/tests/loglevels.py	2010-09-27 03:41:36 +0000
+++ lib/lp/services/scripts/tests/loglevels.py	2011-12-21 19:44:48 +0000
@@ -20,7 +20,7 @@
 
 from optparse import OptionParser
 
-from canonical.launchpad.scripts.logger import logger, logger_options
+from lp.services.scripts.logger import logger, logger_options
 
 parser = OptionParser()
 logger_options(parser)

=== renamed file 'lib/canonical/launchpad/scripts/ftests/raiseexception.py' => 'lib/lp/services/scripts/tests/raiseexception.py'
=== renamed file 'lib/canonical/launchpad/scripts/ftests/test_librarianformatter.py' => 'lib/lp/services/scripts/tests/test_librarianformatter.py'
=== renamed file 'lib/canonical/launchpad/scripts/tests/test_librarianformatter_noca.py' => 'lib/lp/services/scripts/tests/test_librarianformatter_noca.py'
=== renamed file 'lib/canonical/launchpad/scripts/tests/test_logger.py' => 'lib/lp/services/scripts/tests/test_logger.py'
--- lib/canonical/launchpad/scripts/tests/test_logger.py	2011-02-08 15:19:24 +0000
+++ lib/lp/services/scripts/tests/test_logger.py	2011-12-21 19:44:48 +0000
@@ -12,7 +12,7 @@
 
 from testtools.matchers import DocTestMatches
 
-from canonical.launchpad.scripts.logger import LaunchpadFormatter
+from lp.services.scripts.logger import LaunchpadFormatter
 from canonical.launchpad.testing.systemdocs import LayeredDocFileSuite
 from canonical.testing.layers import BaseLayer
 from lp.services.utils import traceback_info

=== renamed file 'lib/canonical/launchpad/scripts/tests/test_logger.txt' => 'lib/lp/services/scripts/tests/test_logger.txt'
--- lib/canonical/launchpad/scripts/tests/test_logger.txt	2010-09-27 03:41:36 +0000
+++ lib/lp/services/scripts/tests/test_logger.txt	2011-12-21 19:44:48 +0000
@@ -14,7 +14,7 @@
     ...         # PYTHONPATH, so use it.
     ...         kw['env']['PYTHONPATH'] = os.environ['PYTHONPATH']
     ...     test_script_path = os.path.join(
-    ...         config.root, 'lib', 'canonical', 'launchpad',
+    ...         config.root, 'lib', 'lp', 'services',
     ...         'scripts', 'tests', 'loglevels.py')
     ...     cmd = [sys.executable, test_script_path] + list(args)
     ...     proc = subprocess.Popen(

=== renamed file 'lib/canonical/launchpad/scripts/tests/test_rundoctests.py' => 'lib/lp/services/scripts/tests/test_rundoctests.py'
--- lib/canonical/launchpad/scripts/tests/test_rundoctests.py	2011-12-21 18:47:38 +0000
+++ lib/lp/services/scripts/tests/test_rundoctests.py	2011-12-21 19:44:48 +0000
@@ -16,7 +16,7 @@
 def test_suite():
     suite = unittest.TestSuite()
     suite.addTest(DocTestSuite(
-        'canonical.launchpad.scripts.logger', tearDown=tearDown
+        'lp.services.scripts.logger', tearDown=tearDown
         ))
     suite.addTest(DocTestSuite('canonical.launchpad.scripts'))
     return suite

=== modified file 'lib/lp/testing/__init__.py'
--- lib/lp/testing/__init__.py	2011-12-19 23:38:16 +0000
+++ lib/lp/testing/__init__.py	2011-12-21 19:44:48 +0000
@@ -664,7 +664,7 @@
         self._use_bzr_branch_called = False
         # XXX: JonathanLange 2010-12-24 bug=694140: Because of Launchpad's
         # messing with global log state (see
-        # canonical.launchpad.scripts.logger), trace._bzr_logger does not
+        # lp.services.scripts.logger), trace._bzr_logger does not
         # necessarily equal logging.getLogger('bzr'), so we have to explicitly
         # make it so in order to avoid "No handlers for "bzr" logger'
         # messages.

=== modified file 'lib/lp/translations/translationmerger.py'
--- lib/lp/translations/translationmerger.py	2011-12-21 14:58:31 +0000
+++ lib/lp/translations/translationmerger.py	2011-12-21 19:44:48 +0000
@@ -19,7 +19,7 @@
 from zope.security.proxy import removeSecurityProxy
 
 from lp.services.database.lpstorm import IStore
-from canonical.launchpad.scripts.logger import (
+from lp.services.scripts.logger import (
     DEBUG2,
     log,
     )

